GH-PR-EDIT(1)

NAME
gh-pr-edit - Edit a pull request

SYNOPSIS
gh pr edit [<number> | <url> | <branch>] [flags]

DESCRIPTION
Edit a pull request.

Without an argument, the pull request that belongs to the current branch is selected.

Editing a pull request's projects requires authorization with the project scope. To authorize, run gh auth refresh -s project.

OPTIONS

--add-assignee <login>
    Add assigned users by their login. Use "@me" to assign yourself.

--add-label <name>
    Add labels by name

--add-project <title>
    Add the pull request to projects by title

--add-reviewer <login>
    Add reviewers by their login.

-B, --base <branch>
    Change the base branch for this pull request

-b, --body <string>
    Set the new body.

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-m, --milestone <name>
    Edit the milestone the pull request belongs to by name

--remove-assignee <login>
    Remove assigned users by their login. Use "@me" to unassign yourself.

--remove-label <name>
    Remove labels by name

--remove-milestone
    Remove the milestone association from the pull request

--remove-project <title>
    Remove the pull request from projects by title

--remove-reviewer <login>
    Remove reviewers by their login.

-t, --title <string>
    Set the new title.

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh pr edit 23 --title "I found a bug" --body "Nothing works"
    $ gh pr edit 23 --add-label "bug,help wanted" --remove-label "core"
    $ gh pr edit 23 --add-reviewer monalisa,hubot  --remove-reviewer myorg/team-name
    $ gh pr edit 23 --add-assignee "@me" --remove-assignee monalisa,hubot
    $ gh pr edit 23 --add-project "Roadmap" --remove-project v1,v2
    $ gh pr edit 23 --milestone "Version 1"
    $ gh pr edit 23 --remove-milestone

SEE ALSO
gh-pr(1)